require 'net/http'
require 'uri'
require 'json'

module Trendious
  class Client
    def initialize
    end

    def search(hash = {})
      query = {q: "marvel"}.merge!(hash)
      query = query.map {|k,v| "#{k}=#{v}" }.join("&")
      uri = URI("http://api.moviepilot.com/v3/search?#{query}")
      puts "Request URI: #{uri}"
      Trendious::Search.new Net::HTTP.get(uri)
    end

    def tags
      Trendious::Tags.new Net::HTTP.get(URI('http://api.moviepilot.com/v4/tags'))
    end

    def posts_by_name(name, page = 0)
      form_name = name.gsub!(' ', '%20')
      search({q: name, without_type: "user,tag", page: page})
    end

    def tags_by_name(name, page = 0)
      search({q: name, with_type: "tag", page: page})
    end
  end
end
