require 'active_support/inflector'

module Trendious
  class Entry
    attr_reader :entry

    def initialize hash
      @entry = hash

      @entry.keys.each do |k|
        self.class.instance_eval do
          define_method(k) do
            @entry[k]
          end
        end
      end
    end

    def link
      URI.join "http://moviepilot.com", type_path, id.to_s
    end

    def type_path
      "#{type.pluralize}/"
    end

    def read
      uri = URI.join "http://api.moviepilot.com", "/v4/", type_path, id.to_s
      
      JSON.parse(Net::HTTP.get(uri))
    end
  end
end
